Bug 733607 - different uninitialized storage defaults for GUI vs. text install
Summary: different uninitialized storage defaults for GUI vs. text install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 08:39 UTC by Andre Robatino
Modified: 2014-09-30 23:40 UTC (History)
5 users (show)

Fixed In Version: anaconda-16.16-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 05:50:53 UTC


Attachments (Terms of Use)
uninitialized storage screenshot - GUI (56.16 KB, application/x-gzip)
2011-08-26 08:41 UTC, Andre Robatino
no flags Details
uninitialized storage screenshot - text (26.22 KB, application/x-gzip)
2011-08-26 08:41 UTC, Andre Robatino
no flags Details
uninitialized storage screenshot - text (2) (23.63 KB, application/x-gzip)
2011-10-22 15:46 UTC, Andre Robatino
no flags Details

Description Andre Robatino 2011-08-26 08:39:21 UTC
Description of problem:
When doing a GUI install to an uninitialized storage device, the box "Apply my choice to all devices with undetected partitions or filesystems." is checked by default. In the corresponding text install, the box "Apply my choice to all devices with undetected partitions." is unchecked by default. See attachments.

Version-Release number of selected component (if applicable):
Whatever is in 16 Alpha (16.14.6?)

Comment 1 Andre Robatino 2011-08-26 08:41:02 UTC
Created attachment 520034 [details]
uninitialized storage screenshot - GUI

Comment 2 Andre Robatino 2011-08-26 08:41:51 UTC
Created attachment 520035 [details]
uninitialized storage screenshot - text

Comment 3 Ales Kozumplik 2011-08-26 11:47:23 UTC
Hi,

can you please try with

updates=http://akozumpl.fedorapeople.org/bz733607.img ?

that should add the default check in text.

Ales

Comment 4 Andre Robatino 2011-08-26 18:08:40 UTC
Yes, now the box in text mode is checked by default. (Immediately after retrieving the .img file, there was a prompt asking "Would you like to use VNC?", which wasn't there before, so I chose "Use text mode".) Thanks.

Comment 5 Ales Kozumplik 2011-08-29 06:58:59 UTC
Thanks for testing, the patch is awaiting review: https://www.redhat.com/archives/anaconda-devel-list/2011-August/msg00376.html

Comment 6 Ales Kozumplik 2011-08-29 13:28:54 UTC
Fixed by fc51b4f5c55062f8c4188bd7bbf8b093a4fba09f on master, 81e345de3e20a6c56ff45229a0e91cc80c971458 on f16-branch.

Comment 7 Andre Robatino 2011-10-14 17:22:48 UTC
OK to close this? It appears fixed for a while now.

Comment 8 Ales Kozumplik 2011-10-17 05:50:53 UTC
(In reply to comment #7)
> OK to close this? It appears fixed for a while now.

Yeah, let me close this.

Comment 9 Andre Robatino 2011-10-22 15:46:39 UTC
Created attachment 529626 [details]
uninitialized storage screenshot - text (2)

Should have asked this earlier - the GUI appears exactly as before (see the attachment in comment 1), with "No, keep any data" chosen by default, but in text mode, "Apply my choice to all devices with undetected partitions." is chosen by default (same as before). Should those be the same as well?

Comment 10 Ales Kozumplik 2011-10-24 06:15:12 UTC
(In reply to comment #9)
> Created attachment 529626 [details]
> uninitialized storage screenshot - text (2)
> 
> Should have asked this earlier - the GUI appears exactly as before (see the
> attachment in comment 1), with "No, keep any data" chosen by default, but in
> text mode, "Apply my choice to all devices with undetected partitions." is
> chosen by default (same as before). Should those be the same as well?

Perhaps but it is a tiny detail which I don't see making F16. And for F17 there's a whole new UI planned.


Note You need to log in before you can comment on or make changes to this bug.